Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453613 - FEAT: md5sum check should have an override for attaching packages
Summary: FEAT: md5sum check should have an override for attaching packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: eric_liu
QA Contact: Yu Shao
URL: http://hardware.redhat.com
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 15:17 UTC by Rob Landry
Modified: 2008-08-04 17:57 UTC (History)
5 users (show)

Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-04 17:57:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch of bug 453613 (deleted)
2008-07-06 22:06 UTC, eric_liu
no flags Details | Diff
A New patch under rob's suggestion (deleted)
2008-07-09 10:14 UTC, eric_liu
no flags Details | Diff
A new patch under rob's instruction (deleted)
2008-07-10 23:34 UTC, eric_liu
no flags Details | Diff
The newest patch has been fixed (deleted)
2008-07-16 02:08 UTC, eric_liu
no flags Details | Diff
a patch fix the comment#7 (deleted)
2008-07-21 16:23 UTC, eric_liu
no flags Details | Diff
a patch fix all of above patches including UI clean (deleted)
2008-07-28 07:37 UTC, eric_liu
no flags Details | Diff
CVS to updated patch + additional UI and code cleanup (deleted)
2008-07-29 21:03 UTC, Rob Landry
no flags Details | Diff

Description Rob Landry 2008-07-01 15:17:56 UTC
Description of problem:

Sometimes people make mistakes and upload packages to the wrong certs; the
md5sum check in those cases blocks uploading the packages to the correct places,
an override option should be provided such that hwcert-edit persons can upload
the package again to the correct location (this is an interim step while we
continue to enhance the attachments features; eg. later we need to support
deprecating packages as part of this)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 4 eric_liu 2008-07-09 10:12:27 UTC
A New Patch  under Rob 's suggestion has been, improve for patching operation:
Please review  :)

Comment 5 eric_liu 2008-07-09 10:14:24 UTC
Created attachment 311359 [details]
A New patch under rob's suggestion

Comment 6 eric_liu 2008-07-10 23:34:47 UTC
Created attachment 311524 [details]
A new patch under rob's instruction

A new patch under rob's instruction, fixed:

1. sub validateMd5sumOverride()  to verify cgi and user permission;
2. A new error page template for validateMd5sumOverride's permission denies;
2.   New Select statement  with "JOIN , ON" for  multi table;
3.  New struction for while @row=fetchrowarray;
4.  Add the all the comments with only one variable $comment;
5 . remove the duplicated code in hwcert.pl;
6. update the select-option to input-checkbox for override on UI

Comment 10 eric_liu 2008-07-16 02:08:26 UTC
Created attachment 311916 [details]
The newest patch has been fixed

Fix the warn sentence on Error page:

"You are not authorized to override the duplicate md5sum check."

Comment 12 XINSUN 2008-07-16 03:11:11 UTC
Deployed on http://bugdev.devel.redhat.com/hwcert-eric1/
If test pass, will check into cvs.

Nicho

Comment 13 eric_liu 2008-07-16 10:28:40 UTC
Patch  has been checked into cvs.    
Thanks, Nicho Sun  :)

Comment 14 Rob Landry 2008-07-16 14:49:35 UTC
The last patch missed the title text change for the user error as well as a
response to the comments of the changes listed in comment #7.

Comment 15 eric_liu 2008-07-21 16:23:32 UTC
Created attachment 312278 [details]
a patch fix the comment#7

Comment 21 eric_liu 2008-07-28 07:37:12 UTC
Created attachment 312754 [details]
a patch fix  all of  above patches including UI clean

Comment 22 eric_liu 2008-07-28 07:37:47 UTC
a patch fix  all of  above patches including UI clean, please review



Comment 23 eric_liu 2008-07-28 08:02:58 UTC
I have already put this patch on bugdev. but the db has been taken down, so
please review the source code on bugdev in dir eric2

I have test this patch on my own pc, it could be work well on db of bz2.18

Comment 25 Rob Landry 2008-07-28 22:24:01 UTC
Unfortunately the db is down again before I could review.  Is there anything
additional to this new patch or is just a combination of the previous patches? 
If it's new, can you highlight what those changes are in comment; if it's a
combination we'll need to review to separate out the portions that are already
in CVS from those that aren't to verify functionality.

Comment 27 Rob Landry 2008-07-29 21:03:04 UTC
Created attachment 312935 [details]
CVS to updated patch + additional UI and code cleanup

Comment 29 Rob Landry 2008-07-30 16:31:52 UTC
committed to cvs

Comment 30 eric_liu 2008-08-01 10:33:26 UTC
tested and run good


Note You need to log in before you can comment on or make changes to this bug.